Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | Public Attributes | List of all members
ranges::v3::detail::_box< T > Struct Template Reference

## Public Member Functions
template<typename Fun >
| _box (T const &t, Fun &&on_error)
template<typename Fun >
| _box (T &t, Fun &&on_error)
template<typename Fun >
| _box (T &&t, Fun &&on_error)
| _box (_box const &)=delete
| _box (_box &&)=delete
_box & | operator= (_box const &)=delete
_box & | operator= (_box &&)=delete

## Public Attributes
T | value